import { useState } from "react";
import DebounceInput from "./DebouceInput";

interface MoviesSearchInput {
	searchUrl: string;
}

export default function MoviesSearchInput({ searchUrl }: MoviesSearchInput) {
	const [value, setValue] = useState<string>("");

	function handleOnDebounce(value: string) {}

	function handleOnChange(event: React.ChangeEvent<HTMLInputElement>) {
		setValue(event.target.value);
	}

	function handleOnKeyDown(e: React.KeyboardEvent<HTMLInputElement>) {
		if (e.key === "Enter") {
			window.location.href = `${searchUrl}?q=${value}`;
		}
	}

	return (
		<div className="form-floating mb-3">
			<DebounceInput
				debouceDelay={1000}
				type="text"
				className="form-control"
				id="moviesearch"
				onChange={handleOnChange}
				onDebounce={handleOnDebounce}
				onKeyDown={handleOnKeyDown}
			/>
			<label className="form-label">Search a movie</label>
		</div>
	);
}
